The Alternative Csound Reference Manual
Previous |  | Next

# control

control -- Configurable slider controls for realtime user input.

## Description

Configurable slider controls for realtime user input. Requires Winsound or TCL/TK. control reads a slider's value.

## Syntax

kr control knum

## Performance

knum -- number of the slider to be read.

Calling control will create a new slider on the screen. There is no theoretical limit to the number of sliders. Windows and TCL/TK use only integers for slider values, so the values may need rescaling. GUIs usually pass values at a fairly slow rate, so it may be advisable to pass the output of control through port.

## Examples

See the setctrl opcode for an example.

## See Also

setctrl

## Credits

Author: John ffitch
University of Bath, Codemist. Ltd.
Bath, UK
May, 2000

New in Csound version 4.06

Previous | Home | Next
comb | Up | convle